VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
INoteExpressionPhysicalUIMapping Class Referenceabstract
VST 3 Interfaces to be implemented by the Plug-in | VST 3 Interfaces defined in version 3.6.11

Extended Plug-in interface IEditController for note expression event support. More...

`#include <ivstphysicalui.h>`

Inheritance diagram for INoteExpressionPhysicalUIMapping:

## Public Member Functions
virtual tresult | getPhysicalUIMapping (int32 busIndex, int16 channel, PhysicalUIMapList &list)=0
| Fills the list of mapped [physical UI (in) - note expression (out)] for a given bus index and channel. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended Plug-in interface IEditController for note expression event support.

- [plug imp]
- [extends IEditController]
- [released: 3.6.11]
- [optional]

With this Plug-in interface, the host can retrieve the preferred physical mapping associated to note expression supported by the Plug-in. When the mapping changes (for example when switching presets) the Plug-in needs to inform the host about it via IComponentHandler::restartComponent (kNoteExpressionChanged).

# Example

tresult PLUGIN_API myPlug::::getPhysicalUIMapping (int32 busIndex, int16 channel, PhysicalUIMapList& list)
{
if (busIndex == 0 && channel == 0)
{
for (uint32 i = 0; i < list.count; ++i)
{
NoteExpressionTypeID type = kInvalidTypeID;
if (kPUIXMovement == list.map[i].physicalUITypeID)
list.map[i].noteExpressionTypeID = kCustomStart + 1;
else if (kPUIYMovement == list.map[i].physicalUITypeID)
list.map[i].noteExpressionTypeID = kCustomStart + 2;
}
return kResultTrue;
}
return kResultFalse;
}

## Member Function Documentation

virtual tresult getPhysicalUIMapping | ( | int32 | busIndex,
|  | int16 | channel,
|  | PhysicalUIMapList & | list
| ) |  |
| pure virtual

Fills the list of mapped [physical UI (in) - note expression (out)] for a given bus index and channel.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.